#!/bin/bash

function scriptName {
    echo /linuxcash/cash/bin/start-gui-${1}.sh
}

STARTAPP_FILE=/linuxcash/cash/data/tmp/startapp
POS_TYPE="pos"
if [ -f $STARTAPP_FILE ] ; then
    POS_TYPE=`cat $STARTAPP_FILE`
fi

START_SCRIPT=/linuxcash/cash/bin/start-gui-$POS_TYPE.sh
if [ -f `scriptName $POS_TYPE` ] ; then
    . $START_SCRIPT
elif [ -f `scriptName pos` ] ; then
    . `scriptName pos`
else
    . `scriptName sst-sco`
fi
